## python-pygithub-1.55-1.src.tar.gz

=== requirements.txt ===
pynacl>=1.4.0
requests>=2.14.0
pyjwt>=2.0
sphinx<3
sphinx-rtd-theme<0.6
Deprecated

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>

pkgname=python-pygithub
pkgver=1.55
pkgrel=1
pkgdesc="Use the full Github API v3"
arch=('any')
license=('LGPL')
url="https://github.com/PyGithub/PyGithub"
depends=('python-deprecated' 'python-pyjwt' 'python-requests' 'python-pynacl')
makedepends=('python-setuptools')
checkdepends=('python-pytest' 'python-cryptography' 'python-httpretty' 'python-parameterized')
source=("$pkgname-$pkgver.tar.gz::https://github.com/PyGithub/PyGithub/archive/v$pkgver.tar.gz")
sha512sums=('7ea9e67428e98330f90f1d78e5a003dbe1a6d5cd98b6c729f2030a73d21b4a72a7957382c888fac0b7bae4a409cfb53473a19e7e73df46b251df0327871e173a')

build() {
  cd PyGithub-$pkgver
  python setup.py build
}

check() {
  cd PyGithub-$pkgver
  python -m pytest
}

package() {
  cd PyGithub-$pkgver
  python setup.py install --root="$pkgdir" --optimize=1
}
